Package wx :: Class MimeTypesManager

[frames | no frames]

## Type MimeTypesManager

    object --+
             |
            MimeTypesManager

Proxy of C++ MimeTypesManager class

Method Summary
MimeTypesManager | `__init__(self)`
| `__del__(self)`
| `AddFallback(self, ft)`
FileType | `Associate(self, ftInfo)`
| `ClearData(self)`
PyObject | `EnumAllFileTypes(self)`
FileType | `GetFileTypeFromExtension(self, ext)`
FileType | `GetFileTypeFromMimeType(self, mimeType)`
| `Initialize(self, mailcapStyle, extraDir)`
bool | `IsOfType(mimeType, wildcard)` (Static method)
bool | `ReadMailcap(self, filename, fallback)`
bool | `ReadMimeTypes(self, filename)`
bool | `Unassociate(self, ft)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:02 2007 | http://epydoc.sf.net